
From: Adam Kropelin <akropel1@rochester.rr.com>

PCI_ROM_ADDRESS is a 32 bit register and as such should be accessed using
pci_bus_{read,write}_config_dword().  A recent audit of drivers/ turned up
several cases of byte- and word-sized accesses.  The harmful ones were fixed
by Linus directly.  This patches up one of the remaining
harmless-but-still-wrong cases caught in the dragnet.

Signed-off-by: Adam Kropelin <akropel1@rochester.rr.com>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pci/hotplug/ibmphp_pci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pci/hotplug/ibmphp_pci.c~ibmphp-use-dword-accessors-for-pci_rom_address drivers/pci/hotplug/ibmphp_pci.c
--- devel/drivers/pci/hotplug/ibmphp_pci.c~ibmphp-use-dword-accessors-for-pci_rom_address	2005-09-14 01:20:40.000000000 -0700
+++ devel-akpm/drivers/pci/hotplug/ibmphp_pci.c	2005-09-14 01:20:40.000000000 -0700
@@ -558,7 +558,7 @@ static int configure_device (struct pci_
 	pci_bus_write_config_byte (ibmphp_pci_bus, devfn, PCI_CACHE_LINE_SIZE, CACHE);
 	pci_bus_write_config_byte (ibmphp_pci_bus, devfn, PCI_LATENCY_TIMER, LATENCY);
 
-	pci_bus_write_config_word (ibmphp_pci_bus, devfn, PCI_ROM_ADDRESS, 0x00L);
+	pci_bus_write_config_dword (ibmphp_pci_bus, devfn, PCI_ROM_ADDRESS, 0x00L);
 	pci_bus_write_config_word (ibmphp_pci_bus, devfn, PCI_COMMAND, DEVICEENABLE);
 
 	return 0;
_
